Bug 1256874 - ironic pxe_wol driver is missing and can't be enabled
ironic pxe_wol driver is missing and can't be enabled
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Lucas Alvares Gomes
Toure Dunnon
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 11:53 EDT by Marios Andreou
Modified: 2016-09-29 14:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 14:38:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marios Andreou 2015-08-25 11:53:54 EDT
Description of problem:
can't enable the pxe_wol driver like http://docs.openstack.org/developer/ironic/drivers/wol.html#configuring-and-enabling-the-driver

because our version of ironic doesn't have the pxe_wol driver (landed relatively recently upstream by lucasgomes) 

python-ironic-discoverd-1.1.0-5.el7ost.noarch
python-ironicclient-0.5.1-9.el7ost.noarch
openstack-ironic-discoverd-1.1.0-5.el7ost.noarch
openstack-ironic-common-2015.1.0-9.el7ost.noarch
openstack-ironic-conductor-2015.1.0-9.el7ost.noarch
openstack-ironic-api-2015.1.0-9.el7ost.noarch

landed upstream at https://review.openstack.org/#/c/179078/

tried a cherry pick but it needs testing at https://code.engineering.redhat.com/gerrit/#/c/56204/


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Marios Andreou 2015-08-26 06:27:32 EDT
some progress - the pxe_wol driver can be enabled but currently introspection fails (need to revisit to find out more).

The pxe_wol driver can be enabled with current undercloud, using the downstream review @ https://code.engineering.redhat.com/gerrit/#/c/56388 (this is a  much cleaner cherry pick and it works on current downstream)

[stack@host15 ~]$ ironic driver-list

| pxe_drac            | host.foo.redhat.com |
| pxe_ipmitool        | host.foo.redhat.com |
| pxe_ssh             | host.foo.redhat.com |
| pxe_wol             | host.foo.redhat.com |

There is also a change needed in os-cloud-config otherwise we can't import the nodes json file with pxe_wol as the driver type: https://review.openstack.org/#/c/217075/ (and upstream bug report for that @ https://bugs.launchpad.net/os-cloud-config/+bug/1488902 ). Without this:

[stack@host15 ~]$ openstack baremetal import --json instackenv.json
ERROR: openstack Unknown pm_type: pxe_wol

I will poke more with the introspection errors tomorrow (I quickly see this):

04:51:24] "POST /v1/introspection... 202 -
Aug 26 04:51:25 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: INFO:ironic_discoverd.introspect:Whitelisting MAC's [u'74:e6:e2:f9:f4:f6'] f...rewall
Aug 26 04:51:25 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: WARNING:ironic_discoverd.introspect:Failed to set boot device to PXE for nod...nted).
Aug 26 04:51:25 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: Traceback (most recent call last):
Aug 26 04:51:25 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: File "/usr/lib/python2.7/site-packages/oslo_messaging/rpc/server.py", line 1... inner
Aug 26 04:51:25 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: return func(*args, **kwargs)
Aug 26 04:51:25 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: File "/usr/lib/python2.7/site-packages/ironic/conductor/manager.py", line 16...device
Aug 26 04:51:25 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: driver=node.driver, extension='management')
Aug 26 04:51:25 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: UnsupportedDriverExtension: Driver pxe_wol does not support management (disa...nted).
Aug 26 04:51:25 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: (HTTP 400)
Aug 26 04:51:30 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: INFO:werkzeug:10.8.144.15 - - [26/Aug/2015 04:51:30] "POST /v1/introspection... 202 -
Aug 26 04:51:30 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: INFO:ironic_discoverd.introspect:Whitelisting MAC's [u'74:e6:e2:f9:f3:82'] f...rewall
Aug 26 04:51:30 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: WARNING:ironic_discoverd.introspect:Failed to set boot device to PXE for nod...nted).
Aug 26 04:51:30 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: Traceback (most recent call last):
Aug 26 04:51:30 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: File "/usr/lib/python2.7/site-packages/oslo_messaging/rpc/server.py", line 1... inner
Aug 26 04:51:30 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: return func(*args, **kwargs)
Aug 26 04:51:30 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: File "/usr/lib/python2.7/site-packages/ironic/conductor/manager.py", line 16...device
Aug 26 04:51:30 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: driver=node.driver, extension='management')
Aug 26 04:51:30 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: UnsupportedDriverExtension: Driver pxe_wol does not support management (disa...nted).
Aug 26 04:51:30 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: (HTTP 400)
Aug 26 04:51:35 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: INFO:werkzeug:10.8.144.15 - - [26/Aug/2015 04:51:35] "POST /v1/introspection... 202 -
Aug 26 04:51:35 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: INFO:ironic_discoverd.introspect:Whitelisting MAC's [u'b8:2a:72:fd:b8:40'] f...rewall
Aug 26 04:51:36 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: WARNING:ironic_discoverd.introspect:Failed to set boot device to PXE for nod...nted).
Aug 26 04:51:36 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: Traceback (most recent call last):
Aug 26 04:51:36 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: File "/usr/lib/python2.7/site-packages/oslo_messaging/rpc/server.py", line 1... inner
Aug 26 04:51:36 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: return func(*args, **kwargs)
Aug 26 04:51:36 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: File "/usr/lib/python2.7/site-packages/ironic/conductor/manager.py", line 16...device
Aug 26 04:51:36 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: driver=node.driver, extension='management')
Aug 26 04:51:36 host15.beaker.tripleo.lab.eng.rdu2.redhat.com ironic-discoverd[132801]: UnsupportedDriverExtension: Driver pxe_wol does not support management (disa...nted).
Comment 4 Graeme Gillies 2015-08-27 19:19:23 EDT
Some relevant upstream reviews

https://review.gerrithub.io/#/c/243485/
https://review.openstack.org/#/c/213956/
Comment 5 Marios Andreou 2015-08-28 01:57:50 EDT
great thanks Graeme, i have the os-cloud-config review @ https://review.openstack.org/#/c/217075/  (see comment 3)
Comment 6 Marios Andreou 2015-08-28 01:59:12 EDT
(In reply to marios from comment #5)
> great thanks Graeme, i have the os-cloud-config review @
> https://review.openstack.org/#/c/217075/  (see comment 3)

but see now that yours was first :) will abandon mine thanks

Note You need to log in before you can comment on or make changes to this bug.